import sqlite3

"""This should connect to your database and create it in case that it 
doesn't exist. I'm not sure this is the most pythonic way, 
but it does use the sqlite3 module instead of the sqlite3 command"""
connection = sqlite3.connect('blog.db') # Open a database File
print ('Database opened')

with open('schema.sql') as f:
    connection.executescript(f.read())


cur = connection.cursor()
cur.execute("INSERT INTO author (author_id, author_name, author_description, password) VALUES (?, ?, ? , ?)",
            ('101', 'Craig Doe','Craig Doe is a student of the University of Washington', 'password1'));

cur.execute("INSERT INTO author (author_id, author_name, author_description, password) VALUES (?, ?, ? , ?)",
            ('102', 'John Jame',' John is a software engineer from New zealand, He had his bachelor degree at Yoobee college', 'password2'));

cur.execute("INSERT INTO post (title, content, author_id) VALUES (?, ?, ?)",
            ('Flask Installation', 'Installing Flask: https://flask.palletsprojects.com/en/2.2.x/installation/', '101'));

cur.execute("INSERT INTO post (title, content, author_id) VALUES (?, ?, ?)",
            ('Jinja2', 'Jinja2 Documentation: https://jinja.palletsprojects.com/en/3.1.x/api/#basics','102'));

cur.execute("INSERT INTO post (title, content, author_id) VALUES (?, ?, ?)",
            ('How to connect to SQLite sample database', ' https://www.sqlitetutorial.net/sqlite-sample-database/','102'));


cur.execute("INSERT INTO comment (post_id, author_id, content) VALUES (?, ?, ?)",(1, '101', 'Great post! Thanks for sharing.'));
cur.execute("INSERT INTO comment (post_id, author_id, content) VALUES (?, ?, ?)",(1, '102', 'Can you please elaborate?'));
cur.execute("INSERT INTO comment (post_id, author_id, content) VALUES (?, ?, ?)",(2, '102', 'Interesting examples! Thanks for posting!'));


author_records = [(103, 'Steff Jason', 'sample author1','pwd3hash'), (104, 'Glen Murray', 'sample author2','pwd4hash'),(105, 'Cloe Saint', 'sample author3','pwd5hash')];
cur.executemany('INSERT INTO author VALUES(?,?,?,?);',author_records);

 
print("We have inserted",cur.rowcount, "author records to authors table")
#cur.executemany("INSERT INTO author (author_id, author_name, author_description, password) VALUES (?, ?, ? , ?)",
connection.commit()
connection.close()
print ('Database Closed')


#SELECT * FROM comment WHERE post_id = 2;
#SELECT * FROM comment WHERE post_id = 1 and author_id = 101;

#select * from author inner join post on (author.author_id = post.author_id);