-- SQLite, Simple Blog Post Application
-- just while i'm entering the data
---PRAGMA foreign_keys = off;

DROP TABLE IF EXISTS author;
DROP TABLE IF EXISTS post;
DROP TABLE IF EXISTS comment;

CREATE TABLE author (
  author_id INTEGER PRIMARY KEY ,
  author_name TEXT UNIQUE,
  author_description TEXT NOT NULL,
  password TEXT
);

CREATE TABLE post (
  post_id INTEGER PRIMARY KEY AUTOINCREMENT,
  title TEXT,
  content TEXT,
  author_id INTEGER,
  created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  FOREIGN KEY (author_id) REFERENCES author(author_id)
);

CREATE TABLE comment (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  post_id INTEGER,
  author_id INTEGER,
  content TEXT,
  created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  FOREIGN KEY (author_id) REFERENCES author(author_id),
  FOREIGN KEY (post_id) REFERENCES posts(post_id)
);

-- enforce key constraints for our queries
--PRAGMA foreign_keys = ON;